WinCrypt.CERT_CHAIN_POLICY_PARA (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: WinCrypt, class: CERT_CHAIN_POLICY_PARA

Package com.sun.jna.platform.win32

# Class WinCrypt.CERT_CHAIN_POLICY_PARA

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.WinCrypt.CERT_CHAIN_POLICY_PARA

Direct Known Subclasses:
  `WinCrypt.CERT_CHAIN_POLICY_PARA.ByReference`

Enclosing interface:
  WinCrypt

@FieldOrder({"cbSize","dwFlags","pvExtraPolicyPara"}) public static class WinCrypt.CERT_CHAIN_POLICY_PARA extends Structure
The CERT_CHAIN_POLICY_PARA structure contains information used in CertVerifyCertificateChainPolicy to establish policy criteria for the verification of certificate chains.

See Also:
  - MSDN

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `WinCrypt.CERT_CHAIN_POLICY_PARA.ByReference`

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `cbSize`
  `int`
  `dwFlags`
  `Pointer`
  `pvExtraPolicyPara`

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CERT_CHAIN_POLICY_PARA()`

- ## Method Summary

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### cbSize

    public int cbSize

  - ### dwFlags

    public int dwFlags

  - ### pvExtraPolicyPara

    public Pointer pvExtraPolicyPara

- ## Constructor Details

  - ### CERT_CHAIN_POLICY_PARA

    public CERT_CHAIN_POLICY_PARA()